--- title: "addServerImageSharingPermission" slug: "compute-vserver-serverimage-addserverimagesharingpermission" tags: ["Server Image"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-serverimage-addserverimagesharingpermission" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addServerImageSharingPermission Available in VPC Add server image sharing permissions. You can share your server image with other accounts to efficiently operate and manage servers. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/addServerImageSharingPermission | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `serverImageNo` | String | Required | Server image number - See [getServerImageList](/docs/en/compute-vserver-serverimage-getserverimagelist). | | `targetLoginIdList.N` | Array | Required | NAVER Cloud Platform account login ID list - Specify the server image sharing target. - Example: `targetLoginIdList.1=id1@email.com&targetLoginIdList.2=id2@naver.com` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/addServerImageSharingPermission ?serverImageNo=***3135 &targetLoginIdList.1=test-***@naver.com &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `addServerImageSharingPermissionResponse` | Object | - | Response result - See [ServerImageList](/docs/en/common-vapidatatype-serverimagelist). | | `addServerImageSharingPermissionResponse.requestId` | String | - | ID for the request - UUID format | | `addServerImageSharingPermissionResponse.returnCode` | String | - | Response code | | `addServerImageSharingPermissionResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "addServerImageSharingPermissionResponse": { "totalRows": 1, "serverImageList": [ { "serverImageNo": "*****3135", "serverImageName": "test-***", "serverImageType": { "code": "SELF", "codeName": "SELF server image" }, "serverImageLifeCyclePhase": { "code": "IN_SERVICE", "codeName": "In Service" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "cpuArchitectureType": { "code": "X86_64", "codeName": "x86 64bit" }, "osCategoryType": { "code": "LINUX", "codeName": "LINUX" }, "osType": { "code": "UBUNTU", "codeName": "UBUNTU" }, "serverImageStatus": { "code": "CREAT", "codeName": "NSI CREATED state" }, "serverImageOperation": { "code": "NULL", "codeName": "NSI NULL OP" }, "serverImageStatusName": "created", "shareStatus": { "code": "SHARE", "codeName": "NSI Share SHARE State" }, "blockStorageMappingList": [ { "order": 0, "blockStorageSnapshotInstanceNo": *****4697, "blockStorageSnapshotName": "test-***", "blockStorageSize": 10737418240, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "iops": 100, "throughput": 104857600, "isEncryptedVolume": false } ], "sharedLoginIdList": [ "test-***@naver.com" ], "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003", "createDate": "2025-06-20T09:59:39+0900", "platformCategoryCode": "OS" } ], "requestId": "d4fcece2-935a-4c91-bf35-54347eb900ad", "returnCode": "0", "returnMessage": "success" } } ```